Bug 663987 - JON241: For Oracle several call-time metrics received in one batch are assigned to the first resource in the batch
JON241: For Oracle several call-time metrics received in one batch are assign...
Status: CLOSED WORKSFORME
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
3.0.0
All Windows
low Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Sunil Kondkar
:
Depends On:
Blocks: jon241-bugs
  Show dependency treegraph
 
Reported: 2010-12-17 11:10 EST by Heiko W. Rupp
Modified: 2013-08-31 09:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 658491
Environment:
Last Closed: 2013-08-31 09:12:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Heiko W. Rupp 2010-12-20 06:57:57 EST
Fixed in 8cd52536cba1ff8546c6b0c7b9e434dd71549f29 by disabling direct path insert on the key table.
Comment 2 Rajan Timaniya 2011-01-06 05:26:45 EST
Tested on JON-2.4.1 build #61 (build number: 10975:6823ab8)

Test Environment:
Platform: Windows-2003
Database: Oracle 11g
Browser: FF-3.6.3 and IE-7.0

Steps:
1.Turn on call-time metric collection for different resources. Like "Method Invocation Time" for RHQ Server EJB3 session beans and WARs.
2. Wait for collection
3. Check actual response times at Monitor-Response tab.

Observation:
Each response is displayed on Response tab for appropriate resource.


Heiko,
Is there any more specific way to test this tricky bug?
Comment 3 Heiko W. Rupp 2011-01-10 05:58:34 EST
Rajan,
no I think this is the way to check from the UI.

 Heiko
Comment 4 Rajan Timaniya 2011-01-10 07:20:18 EST
Thanks Heiko!

Marking this bug as verified.

Note You need to log in before you can comment on or make changes to this bug.